Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.apps
Class FopFactoryBuilder.FopFactoryConfigImpl

    java.lang.Object
      org.apache.fop.apps.FopFactoryBuilder.FopFactoryConfigImpl

All Implemented Interfaces:
  FopFactoryConfig

Enclosing class:
  FopFactoryBuilder

    public static class FopFactoryBuilder.FopFactoryConfigImpl

extends java.lang.Object
implements FopFactoryConfig

Field Summary

Fields inherited from interface org.apache.fop.apps.FopFactoryConfig
`DEFAULT_BREAK_INDENT_INHERITANCE, DEFAULT_PAGE_HEIGHT, DEFAULT_PAGE_WIDTH, DEFAULT_SOURCE_RESOLUTION, DEFAULT_STRICT_FO_VALIDATION, DEFAULT_STRICT_USERCONFIG_VALIDATION, DEFAULT_TARGET_RESOLUTION`

Method Summary
`java.net.URI` | `getBaseURI()` The base URI from which URIs are resolved against.
`org.apache.xmlgraphics.image.loader.impl.AbstractImageSessionContext.FallbackResolver` | `getFallbackResolver()` Controls the mechanisms that are used in the event that `Source` used for resources couldn't be read.
`FontManager` | `getFontManager()` Returns the font manager.
`java.util.Map<java.lang.String,java.lang.String>` | `getHyphenationPatternNames()`
`InternalResourceResolver` | `getHyphenationResourceResolver()`
`java.util.Set<java.lang.String>` | `getIgnoredNamespaces()`
`org.apache.xmlgraphics.image.loader.ImageManager` | `getImageManager()` Returns the image manager.
`LayoutManagerMaker` | `getLayoutManagerMakerOverride()` Returns the overriding LayoutManagerMaker instance, if any.
`java.lang.String` | `getPageHeight()` Gets the default page-height to use as fallback, in case page-height="auto"
`java.lang.String` | `getPageWidth()` Gets the default page-width to use as fallback, in case page-width="auto"
`org.apache.xmlgraphics.io.ResourceResolver` | `getResourceResolver()` The URI resolver used through-out FOP for controlling all file access.
`float` | `getSourceResolution()`
`float` | `getTargetResolution()`
`org.apache.avalon.framework.configuration.Configuration` | `getUserConfig()` Returns the Avalon `Configuration` object.
`boolean` | `isAccessibilityEnabled()` Whether accessibility features are switched on.
`boolean` | `isBreakIndentInheritanceOnReferenceAreaBoundary()`
`boolean` | `isComplexScriptFeaturesEnabled()`
`boolean` | `isNamespaceIgnored(java.lang.String namespace)` Indicates whether a namespace URI is on the ignored list.
`boolean` | `preferRenderer()`
`boolean` | `validateStrictly()` Returns whether FOP is strictly validating input XSL
`boolean` | `validateUserConfigStrictly()` Is the user configuration to be validated?

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### isAccessibilityEnabled

    public boolean isAccessibilityEnabled()

  Whether accessibility features are switched on.

  Specified by:
    `isAccessibilityEnabled` in interface `FopFactoryConfig`
  Returns:
    true if accessibility features have been requested

### getLayoutManagerMakerOverride

    public LayoutManagerMaker getLayoutManagerMakerOverride()

  Returns the overriding LayoutManagerMaker instance, if any.

  Specified by:
    `getLayoutManagerMakerOverride` in interface `FopFactoryConfig`
  Returns:
    the overriding LayoutManagerMaker or null

### getResourceResolver

    public org.apache.xmlgraphics.io.ResourceResolver getResourceResolver()

  The URI resolver used through-out FOP for controlling all file access.

  Specified by:
    `getResourceResolver` in interface `FopFactoryConfig`
  Returns:
    the URI resolver

### getBaseURI

    public java.net.URI getBaseURI()

  The base URI from which URIs are resolved against.

  Specified by:
    `getBaseURI` in interface `FopFactoryConfig`
  Returns:
    the base URI

### getHyphenationResourceResolver

    public InternalResourceResolver getHyphenationResourceResolver()

  Specified by:
    `getHyphenationResourceResolver` in interface `FopFactoryConfig`

### validateStrictly

    public boolean validateStrictly()

  Returns whether FOP is strictly validating input XSL

  Specified by:
    `validateStrictly` in interface `FopFactoryConfig`
  Returns:
    true of strict validation turned on, false otherwise

### validateUserConfigStrictly

    public boolean validateUserConfigStrictly()

  Is the user configuration to be validated?

  Specified by:
    `validateUserConfigStrictly` in interface `FopFactoryConfig`
  Returns:
    if the user configuration should be validated

### isBreakIndentInheritanceOnReferenceAreaBoundary

    public boolean isBreakIndentInheritanceOnReferenceAreaBoundary()

  Specified by:
    `isBreakIndentInheritanceOnReferenceAreaBoundary` in interface `FopFactoryConfig`
  Returns:
    true if the indent inheritance should be broken when crossing reference area boundaries (for more info, see the javadoc for the relative member variable)

### getSourceResolution

    public float getSourceResolution()

  Specified by:
    `getSourceResolution` in interface `FopFactoryConfig`
  Returns:
    the resolution for resolution-dependent input

### getTargetResolution

    public float getTargetResolution()

  Specified by:
    `getTargetResolution` in interface `FopFactoryConfig`
  Returns:
    the resolution for resolution-dependent output

### getPageHeight

    public java.lang.String getPageHeight()

  Gets the default page-height to use as fallback, in case page-height="auto"

  Specified by:
    `getPageHeight` in interface `FopFactoryConfig`
  Returns:
    the page-height, as a String

### getPageWidth

    public java.lang.String getPageWidth()

  Gets the default page-width to use as fallback, in case page-width="auto"

  Specified by:
    `getPageWidth` in interface `FopFactoryConfig`
  Returns:
    the page-width, as a String

### getIgnoredNamespaces

    public java.util.Set<java.lang.String> getIgnoredNamespaces()

  Specified by:
    `getIgnoredNamespaces` in interface `FopFactoryConfig`
  Returns:
    the set of namespaces that are ignored by FOP

### isNamespaceIgnored

    public boolean isNamespaceIgnored(java.lang.String namespace)

  Indicates whether a namespace URI is on the ignored list.

  Specified by:
    `isNamespaceIgnored` in interface `FopFactoryConfig`
  Parameters:
    `namespace` - the namespace URI
  Returns:
    true if the namespace is ignored by FOP

### getUserConfig

    public org.apache.avalon.framework.configuration.Configuration getUserConfig()

  Returns the Avalon `Configuration` object.

  Specified by:
    `getUserConfig` in interface `FopFactoryConfig`
  Returns:
    the Avalon config object

### preferRenderer

    public boolean preferRenderer()

  Specified by:
    `preferRenderer` in interface `FopFactoryConfig`
  See Also:
    `RendererFactory.isRendererPreferred()`

### getFontManager

    public FontManager getFontManager()

  Returns the font manager.

  Specified by:
    `getFontManager` in interface `FopFactoryConfig`
  Returns:
    the font manager

### getImageManager

    public org.apache.xmlgraphics.image.loader.ImageManager getImageManager()

  Returns the image manager.

  Specified by:
    `getImageManager` in interface `FopFactoryConfig`
  Returns:
    the image manager

### isComplexScriptFeaturesEnabled

    public boolean isComplexScriptFeaturesEnabled()

  Specified by:
    `isComplexScriptFeaturesEnabled` in interface `FopFactoryConfig`

### getHyphenationPatternNames

    public java.util.Map<java.lang.String,java.lang.String> getHyphenationPatternNames()

  Specified by:
    `getHyphenationPatternNames` in interface `FopFactoryConfig`
  Returns:
    the hyphenation pattern names

### getFallbackResolver

    public org.apache.xmlgraphics.image.loader.impl.AbstractImageSessionContext.FallbackResolver getFallbackResolver()

  Description copied from interface: `FopFactoryConfig`
  Controls the mechanisms that are used in the event that `Source` used for resources couldn't be read.

  Specified by:
    `getFallbackResolver` in interface `FopFactoryConfig`
  Returns:
    the fallback resolver

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2017 The Apache Software Foundation. All Rights Reserved.